[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetppid

Return parent process ID

## Declaration

Source position: bunxh.inc line 47

`function FpGetppid: TPid;`

## Description

FpGetppid returns the Process ID of the parent process.

## Errors

None.

## See also

FpGetPid |  | Return current process ID

## Example

    Program Example16;

    { Program to demonstrate the GetPid, GetPPid function. }

    Uses BaseUnix;

    begin
      Writeln ('Process Id = ',fpgetpid,' Parent process Id = ',fpgetppid);
    end.